# Get widget frame ancestors

> Source: https://truto.one/docs/api-reference/admin/link-ui/frame-ancestors/

`GET /link-ui/{id}/frame-ancestors`

Resource: **Link UI**

## Path parameters

- **`id`** _(string, required)_
  The environment id. A Link UI row is keyed by its environment.

## Response body

- **`frame_ancestors`** _(array<string>)_
  Bare origins — scheme, host and optional port, no path. Anything stored that is not a bare origin is dropped on read.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/link-ui/{id}/frame-ancestors' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/link-ui/{id}/frame-ancestors', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/link-ui/{id}/frame-ancestors"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
